[arch-commits] Commit in kdebase/repos (3 files)
Pierre Schmitz
pierre at archlinux.org
Wed Oct 7 22:42:04 UTC 2009
Date: Wednesday, October 7, 2009 @ 18:42:04
Author: pierre
Revision: 54294
Merged revisions 54293 via svnmerge from
svn+ssh://gerolde.archlinux.org/srv/svn-packages/kdebase/trunk
........
r54293 | pierre | 2009-10-08 00:41:25 +0200 (Do, 08 Okt 2009) | 1 line
........
Added:
kdebase/repos/extra-x86_64/terminalpanel.patch
(from rev 54293, kdebase/trunk/terminalpanel.patch)
Modified:
kdebase/repos/extra-x86_64/ (properties)
kdebase/repos/extra-x86_64/PKGBUILD
---------------------+
PKGBUILD | 16 ++++++++++++----
terminalpanel.patch | 28 ++++++++++++++++++++++++++++
2 files changed, 40 insertions(+), 4 deletions(-)
Property changes on: kdebase/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
- /kdebase/trunk:1-54082
+ /kdebase/trunk:1-54293
Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD 2009-10-07 22:41:25 UTC (rev 54293)
+++ extra-x86_64/PKGBUILD 2009-10-07 22:42:04 UTC (rev 54294)
@@ -14,17 +14,25 @@
'kdebase-lib'
'kdebase-plasma')
pkgver=4.3.2
-pkgrel=1
+pkgrel=2
arch=('i686' 'x86_64')
url='http://www.kde.org'
license=('GPL' 'LGPL' 'FDL')
groups=('kde' 'kdebase')
makedepends=('kdebase-workspace' 'pkgconfig' 'cmake' 'automoc4' 'libraw1394')
-source=("http://download.kde.org/stable/${pkgver}/src/${pkgbase}-${pkgver}.tar.bz2")
-md5sums=('7d6b968d8d8dd3730522389dabbb23e2')
+source=("http://download.kde.org/stable/${pkgver}/src/${pkgbase}-${pkgver}.tar.bz2"
+ 'terminalpanel.patch')
+md5sums=('7d6b968d8d8dd3730522389dabbb23e2'
+ '52a17f42c2ebac4f33a13f843e394175')
build() {
- cd $srcdir
+ cd $srcdir/${pkgbase}-${pkgver}
+ # Fix a regression with terminalpanel
+ # fix upstream in 4.3.3
+ # see https://bugs.kde.org/show_bug.cgi?id=202176
+ # and https://bugs.kde.org/show_bug.cgi?id=167810
+ patch -p0 -i $srcdir/terminalpanel.patch || return 1
+ cd ..
mkdir build
cd build
cmake ../${pkgbase}-${pkgver} \
Copied: kdebase/repos/extra-x86_64/terminalpanel.patch (from rev 54293, kdebase/trunk/terminalpanel.patch)
===================================================================
--- extra-x86_64/terminalpanel.patch (rev 0)
+++ extra-x86_64/terminalpanel.patch 2009-10-07 22:42:04 UTC (rev 54294)
@@ -0,0 +1,28 @@
+Index: apps/dolphin/src/panels/terminal/terminalpanel.cpp
+===================================================================
+--- apps/dolphin/src/panels/terminal/terminalpanel.cpp (Revision 1032179)
++++ apps/dolphin/src/panels/terminal/terminalpanel.cpp (Revision 1032180)
+@@ -23,7 +23,6 @@
+ #include <kde_terminal_interface_v2.h>
+ #include <kparts/part.h>
+ #include <kshell.h>
+-#include <kio/netaccess.h>
+
+ #include <QBoxLayout>
+ #include <QShowEvent>
+@@ -58,13 +57,12 @@
+ }
+
+ Panel::setUrl(url);
+- KUrl mostLocalUrl = KIO::NetAccess::mostLocalUrl(url, 0);
+ const bool sendInput = (m_terminal != 0)
+ && (m_terminal->foregroundProcessId() == -1)
+ && isVisible()
+- && mostLocalUrl.isLocalFile();
++ && url.isLocalFile();
+ if (sendInput) {
+- m_terminal->sendInput("cd " + KShell::quoteArg(mostLocalUrl.toLocalFile()) + '\n');
++ m_terminal->sendInput("cd " + KShell::quoteArg(url.toLocalFile()) + '\n');
+ }
+
+ }
More information about the arch-commits
mailing list